## gtkwave 3.3.114

=== debian/changelog ===
gtkwave (3.3.114-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Fri, 20 Jan 2023 04:01:31 +0100

gtkwave (3.3.114-1) experimental; urgency=medium

  [ Andreas Bombe ]
  * Switch to gtk3 branch of upstream
  * New upstream version 3.3.114 (Closes: #1027745)
  * Build with GTK 3 instead of GTK 2 (Closes: #967502)
  * /usr/bin/ghwdump not part of the package anymore (Closes: #1027747)
  * Update debian/copyright from LICENSE.TXT
  * Drop defining _LARGEFILE64_SOURCE as it is automatically detected
  * Add DEB_BUILD_MAINT_OPTIONS in debian/rules to enable hardening flags
  * Remove useless override of dh_auto_make in debian/rules
  * Update Standards-Version to 4.6.2

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * gcc10-extern.patch: test moving wave_rpc_id to top of header file

 -- Andreas Bombe <aeb@debian.org>  Thu, 12 Jan 2023 03:29:36 +0100

=== debian/watch ===
version=3
http://sf.net/gtkwave/gtkwave-gtk3-([0-9.]+)\.tar\.gz

## gtkwave 3.3.115

=== debian/changelog ===
gtkwave (3.3.115-1) unstable; urgency=medium

  * New upstream version 3.3.115
  * d/watch: update watch format version
  * d/u/metadata: remove Homepage field
  * d/p/0001-Add-F-to-exec-key-in-desktop-file.patch: forward upstream & add
    DEP-3 headers
  * Add autotools-pkg-config.diff patch to use PKG_PROG_PKG_CONFIG instead of
    AC_PATH_CONFIG

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 05 Jun 2023 00:01:50 +0200

## gtkwave 3.3.116

=== debian/changelog ===
gtkwave (3.3.116-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:38 +1100

gtkwave (3.3.116-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:57:14 +0000

gtkwave (3.3.116-1) unstable; urgency=medium

  * New upstream version 3.3.116

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 29 Jul 2023 05:35:40 +0200

=== debian/control ===
Source: gtkwave
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
 Andreas Bombe <aeb@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libgtk-3-dev, zlib1g-dev,
 libbz2-dev, flex, gperf, tcl-dev, tk-dev, liblzma-dev, libjudy-dev
Rules-Requires-Root: no
Homepage: http://gtkwave.sourceforge.net/
Vcs-Git: https://salsa.debian.org/electronics-team/gtkwave.git
Vcs-Browser: https://salsa.debian.org/electronics-team/gtkwave

Package: gtkwave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VCD (Value Change Dump) file waveform viewer
 gtkwave is a viewer for VCD (Value Change Dump) files which
 are usually created by digital circuit simulators. (These files
 have no connection to video CDs!)

## gtkwave 3.3.118

=== debian/changelog ===
gtkwave (3.3.118-0.1~deb12u1) bookworm-security; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm-security.

 -- Adrian Bunk <bunk@debian.org>  Thu, 28 Mar 2024 08:53:47 +0200

gtkwave (3.3.118-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
    - Fixes multiple vulnerabilities:
      CVE-2023-32650, CVE-2023-34087, CVE-2023-34436, CVE-2023-35004,
      CVE-2023-35057, CVE-2023-35128, CVE-2023-35702, CVE-2023-35703,
      CVE-2023-35704, CVE-2023-35955, CVE-2023-35956, CVE-2023-35957,
      CVE-2023-35958, CVE-2023-35959, CVE-2023-35960, CVE-2023-35961,
      CVE-2023-35962, CVE-2023-35963, CVE-2023-35964, CVE-2023-35969,
      CVE-2023-35970, CVE-2023-35989, CVE-2023-35992, CVE-2023-35994,
      CVE-2023-35995, CVE-2023-35996, CVE-2023-35997, CVE-2023-36746,
      CVE-2023-36747, CVE-2023-36861, CVE-2023-36864, CVE-2023-36915,
      CVE-2023-36916, CVE-2023-37282, CVE-2023-37416, CVE-2023-37417,
      CVE-2023-37418, CVE-2023-37419, CVE-2023-37420, CVE-2023-37442,
      CVE-2023-37443, CVE-2023-37444, CVE-2023-37445, CVE-2023-37446,
      CVE-2023-37447, CVE-2023-37573, CVE-2023-37574, CVE-2023-37575,
      CVE-2023-37576, CVE-2023-37577, CVE-2023-37578, CVE-2023-37921,
      CVE-2023-37922, CVE-2023-37923, CVE-2023-38583, CVE-2023-38618,
      CVE-2023-38619, CVE-2023-38620, CVE-2023-38621, CVE-2023-38622,
      CVE-2023-38623, CVE-2023-38648, CVE-2023-38649, CVE-2023-38650,
      CVE-2023-38651, CVE-2023-38652, CVE-2023-38653, CVE-2023-38657,
      CVE-2023-39234, CVE-2023-39235, CVE-2023-39270, CVE-2023-39271,
      CVE-2023-39272, CVE-2023-39273, CVE-2023-39274, CVE-2023-39275,
      CVE-2023-39316, CVE-2023-39317, CVE-2023-39413, CVE-2023-39414,
      CVE-2023-39443, CVE-2023-39444
      (Closes: #1060407)

 -- Adrian Bunk <bunk@debian.org>  Sat, 23 Mar 2024 21:54:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gtkwave
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
  Andreas Bombe <aeb@debian.org>
 Standards-Version: 4.6.2

## gtkwave 3.3.120

=== debian/changelog ===
gtkwave (3.3.120-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 11 Jul 2024 04:28:54 +0200

## gtkwave 3.3.121

=== debian/changelog ===
gtkwave (3.3.121-1) unstable; urgency=medium

  * New upstream version 3.3.121
  * Bumped standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Dec 2024 15:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
  Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, zlib1g-dev,
  libbz2-dev, flex, gperf, tcl-dev, tk-dev, liblzma-dev, libjudy-dev
 Rules-Requires-Root: no

## gtkwave 3.3.124

=== debian/changelog ===
gtkwave (3.3.124-1) unstable; urgency=medium

  * New upstream version 3.3.124
  * d/control: bump standards version to 4.7.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Aug 2025 20:04:07 +0200

## gtkwave 3.3.125

=== src/helpers/fst/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

project (fstlib)

########################################################################################################################
# Easiest way to get ZLib on windows is using vcpkg, to load vcpkg:
# cmake -DCMAKE_TOOLCHAIN_FILE=[path to vcpkg]/scripts/buildsystems/vcpkg.cmake
if(CMAKE_TOOLCHAIN_FILE)
    message(STATUS "Using VCPKG from ${CMAKE_TOOLCHAIN_FILE}")
endif()
########################################################################################################################
find_package(ZLIB REQUIRED)

add_library(fstapi fstapi.c fstapi.h fst_win_unistd.h)
target_link_libraries(fstapi PRIVATE ZLIB::ZLIB)
# hack to avoid creating dummy config.h
target_compile_definitions(fstapi PRIVATE -DFST_CONFIG_INCLUDE="fstapi.h")

if(MSVC)
    # define __MINGW32__ to minimize changes to upstream
    target_compile_definitions(fstapi PRIVATE __MINGW32__  _CRT_SECURE_NO_WARNINGS  FST_DO_MISALIGNED_OPS)
    target_compile_options(fstapi PRIVATE /wd4244 /wd4267 /wd4146 /wd4996)
endif()

=== debian/changelog ===
gtkwave (3.3.125-1) unstable; urgency=medium

  * New upstream version 3.3.125

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 19 Aug 2025 07:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
  Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, zlib1g-dev,
  libbz2-dev, flex, gperf, tcl-dev, tk-dev, liblzma-dev, libjudy-dev
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DESTDIR=$(CURDIR)/debian/gtkwave

STRUCT_PACK=
ifneq (,$(filter %amd64 avr32 %i386 m68k powerpc s390 s390x, $(DEB_HOST_ARCH) ))
  STRUCT_PACK=--enable-struct-pack
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk3 --enable-judy --with-gsettings $(STRUCT_PACK) --disable-mime-update

override_dh_installdocs:
	dh_installdocs
	mv $(DESTDIR)/usr/share/gtkwave-gtk3/*.odt $(DESTDIR)/usr/share/doc/gtkwave

override_dh_installexamples:
	mv $(DESTDIR)/usr/share/gtkwave-gtk3/examples $(DESTDIR)/usr/share/doc/gtkwave/
	rmdir $(DESTDIR)/usr/share/gtkwave-gtk3

override_dh_compress:
	dh_compress --exclude=examples --exclude=odt

=== debian/watch ===
version=4
http://sf.net/gtkwave/gtkwave-gtk3-([0-9.]+)\.tar\.gz

## gtkwave 3.3.126

=== debian/changelog ===
gtkwave (3.3.126-1) unstable; urgency=medium

  * New upstream version 3.3.126
  * Drop redundant Rules-Requires-Root field
  * d/control: bump standards version to 4.7.3

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 28 Dec 2025 20:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>,
  Andreas Bombe <aeb@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, zlib1g-dev,
  libbz2-dev, flex, gperf, tcl-dev, tk-dev, liblzma-dev, libjudy-dev
-Rules-Requires-Root: no
 Homepage: http://gtkwave.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/electronics-team/gtkwave.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/gtkwave
